# 3.1 Third-Party Packages

This section consists of security recommendations for the use and management of third-party dependencies and packages. As a consumer of various third-party packages, you need to ensure certain conditions exist to trust them and use them safely. Using third-party packages affects not only the software, but also its costumers, so it is important to carefully examine each one of these packages.

## Recommendations

* [3.1.1 - verify_artifacts.yml](./verify_artifacts.yml)
* [3.1.2 - third_party_sbom_required.yml](./third_party_sbom_required.yml)
* [3.1.3 - verify_signed_metadata.yml](./verify_signed_metadata.yml)
* [3.1.4 - monitor_dependencies.yml](./monitor_dependencies.yml)
* [3.1.5 - define_package_managers.yml](./define_package_managers.yml)
* [3.1.6 - dependency_sbom.yml](./dependency_sbom.yml)
* [3.1.7 - pin_dependency_version.yml](./pin_dependency_version.yml)
* [3.1.8 - packages_over_60_days_old.yml](./packages_over_60_days_old.yml)
