# 3.2 Validate Packages

This section consists of security recommendations for managing package validations and checks. Third-party packages and dependencies might put the organization in danger, not only by being vulnerable to attacks, but also by being improperly used and harming license conditions. To protect the software supply chain from these dangers, it is important to validate packages and understand how and if to use them. This section's recommendations cover this topic.

## Recommendations

* [3.2.1 - org_wide_dependency_policy.yml](./org_wide_dependency_policy.yml)
* [3.2.2 - package_vuln_scanning.yml](./package_vuln_scanning.yml)
* [3.2.3 - package_license_scanning.yml](./package_license_scanning.yml)
* [3.2.4 - package_ownership_change.yml](./package_ownership_change.yml)
