# 1.5 Code Risks

This section consists of recommendations for many security code scanners. This includes for example, looking for hardcoded secrets, common misconfigurations that are vulnerable to attack or restrictive licenses. Because an application code has a lot of components, it is important to scan each part that can lead to attack - from secrets to licenses.

## Recommendations

* [1.5.1 - enable_secret_detection.yml](./enable_secret_detection.yml)
* [1.5.2 - secure_pipeline_instructions.yml](./secure_pipeline_instructions.yml)
* [1.5.3 - secure_iac_instructions.yml](./secure_iac_instructions.yml)
* [1.5.4 - vulnerability_scanning.yml](./vulnerability_scanning.yml)
* [1.5.5 - dependency_scanning.yml](./dependency_scanning.yml)
* [1.5.6 - license_scanning.yml](./license_scanning.yml)
* [1.5.7 - dast_web_scanning.yml](./dast_web_scanning.yml)
* [1.5.8 - dast_api_scanning.yml](./dast_api_scanning.yml)
