# 1 Source Code

This section consists of security recommendations for proper source code management of any application developed by the organization. This is the first phase of the software supply chain, and is considered the single source of truth for the rest of the process.

It is critical to secure both the source code itself, as well as the platform with which it is managed, in order to protect the integrity of a software release. From the developers who commit changes, to the sensitive data or vulnerabilities that could be placed within it, and ultimately to the source code management platform in which it is stored, verification of the integrity of the source code is imperative in order to keep every software update secure.

## Sections

- [1.1 - Code Changes](./code_changes_1_1)
- [1.2 - Repository Management](./repository_management_1_2)
- [1.3 - Contribution Access](./contribution_access_1_3)
- [1.4 - Third Party](./third_party_1_4)
- [1.5 - Code Risks](./code_risks_1_5)
